minimorph-0.3.0.1: English spelling functions with an emphasis on simplicity.

Safe Haskell | Safe-Inferred
Language | Haskell2010

NLP.Minimorph.Util

Description

Text utility functions.

Synopsis

- (<+>) :: Text -> Text -> Text
- tshow :: Show a => a -> Text

# Documentation

(<+>) :: Text -> Text -> Text infixr 6 Source #

Separated by space unless one of them is empty (in which case just the non-empty one) or the first ends or the last begins with whitespace.

tshow :: Show a => a -> Text Source #

Show a value in `Text` format.